Subject: Re: git-apply versus git-am

From: Peter Baumann <[email-masked]>
Date: Mon, 23 Jul 2007 19:37:56 +0200

On Mon, Jul 23, 2007 at 12:20:40PM -0500, Timur Tabi wrote:
> Junio C Hamano wrote:
>
>> applymbox is going away.
>
> That sucks!  I like git-am.  Is there a replacement command that applies a 
> patch and commits it at the same time?  If I use git-apply on a patch that 
> adds new files, I need to use git-add on the files before I can commit it.  
> That's a real pain.

'git am' isn't going away, but as Junio mentioned, 'git applymbox' is.
Those are two *different* programms doing roughly the same, but
'git applymbox' is superceded by 'git am'.

-Peter